Skip to main content
GET
List views

Authorizations

Authorization
string
header
required

API key for authentication

Query Parameters

limit
integer
default:20

The number of items to return.

Required range: 1 <= x <= 100
cursor
string

A cursor for pagination across multiple pages of results. Don’t include this parameter on the first call. Use the pagination.nextLink value returned in a previous response to request subsequent results.

Maximum string length: 512
combinator
enum<string>
default:and

The logical operator to combine multiple filters.

Available options:
and,
or
filter
object

A record of filters to apply, following the format filter[attribute][operator]=value. Filterable attributes: groupId (eq, in), name (eq, like), entityType (eq, in: person, company or the name of an object type), type (eq: table, kanban). A groupId the user can not access returns no views.

Response

A paginated list of views. The data.items field contains the list of views, and the data.pagination.nextLink field contains a link to the next page of results, if available.

data
object
required
Example:
deprecations
string[]
Example: